%define upstream_name    Plack-Middleware-Session
%define upstream_version 0.30

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Session middleware that saves session data in the cookie
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cookie::Baker)
BuildRequires: perl(Digest::HMAC_SHA1) >= 1.30.0
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build::Tiny) >= 0.39.0
BuildRequires: perl(Plack) >= 0.991.0
BuildRequires: perl(Test::Fatal) >= 0.6.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%description
This is the core session object, you probably want to look at the
Plack::Middleware::Session manpage, unless you are writing your own session
middleware component.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.300.0-3.mga6
+ Revision: 1032191
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.300.0-2.mga6
+ Revision: 966330
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.300.0-1.mga6
+ Revision: 843475
- update to 0.30

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-3.mga5
+ Revision: 742982
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 0.240.0-1.mga5
+ Revision: 672841
- update to 0.24

* Tue Aug 12 2014 sander85 <sander85> 0.220.0-1.mga5
+ Revision: 661973
- update to 0.22

* Tue Oct 22 2013 umeabot <umeabot> 0.210.0-2.mga4
+ Revision: 542282
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.210.0-1.mga4
+ Revision: 497158
- update to 0.21

* Thu Jun 27 2013 shlomif <shlomif> 0.200.0-1.mga4
+ Revision: 447593
- Add BR on M-B-Tiny
- New version 0.20 + convert to Build.PL

* Wed May 29 2013 shlomif <shlomif> 0.180.0-1.mga4
+ Revision: 432383
- update to 0.18

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 371880
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 0.150.0-1.mga3
+ Revision: 335078
- imported package perl-Plack-Middleware-Session


* Tue Dec 25 2012 cpan2dist 0.15-1mga
- initial mageia release, generated with cpan2dist
